%define name moodle
Summary: Moodle is a course management system 
Name: %{name}
%define version 1.8.3
%define release 1
Version: %{version}
Release: %{release}%{?dist}
License: GNU GPL version 2
URL: http://moodle.org/
Group: SMEserver/addon
#wget http://download.moodle.org/stable18/moodle-latest-18.tgz
Source: moodle-183.tgz
BuildArchitectures: noarch
BuildRoot: /var/tmp/%{name}-%{version}
Requires: e-smith-release >= 7.0
BuildRequires: e-smith-devtools
AutoReqProv: no

%description
http://moodle.org/
Moodle is a course management system (CMS) 
A free, Open Source software package designed using sound pedagogical principles, 
to help educators create effective online learning communities.

%changelog
* Thu Dec 06 2007 Stephen Noble <support@dungog.net> 1.8.3-1
- upstream release

* Fri Jul 06 2007 Stephen Noble <support@dungog.net> 1.8.1-1
- upstream release
- builds from unchanged .tgz

* Sat Dec 2 2006 Stephen Noble <support@dungog.net>
- build with correct permissions
- [1.7-2]
* Fri Dec 1 2006 Stephen Noble <support@dungog.net>
- initial release
- [1.7-1]

%prep
%setup  -c -n %{name}
%build
#this lets you drop a .tgz in with the root of moodle and it builds ok
mkdir -p   root/opt/moodle/moodledata
mkdir -p   root/opt/moodle/moodlejunk
mv %{name} root/opt/moodle/html

#? rpm debug complains 
mkdir -p root/usr/lib/debug/opt/moodle/html/filter/tex
touch root/usr/lib/debug/opt/moodle/html/filter/tex/mimetex.freebsd.debug
touch root/usr/lib/debug/opt/moodle/html/filter/tex/mimetex.linux.debug


%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
    --dir '/opt/moodle/moodledata' 'attr(755,www,www)' \
    --dir '/opt/moodle/moodlejunk' 'attr(755,www,www)' \
     > %{name}-%{version}-filelist

%clean
cd ..
rm -rf %{name}

%pre
%preun
%post
%postun

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)

